Bug 27750 - Remove jquery.cookie.js plugin
Summary: Remove jquery.cookie.js plugin
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 29940 11873 23944 23947 24619 24621 24623 24624 24625 27749 27751 29932 29933
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-22 15:17 UTC by Owen Leonard
Modified: 2022-05-13 16:00 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 27750: Remove jquery.cookie.js plugin (7.84 KB, patch)
2022-02-25 12:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27750: Remove jquery.cookie.js plugin (4.92 KB, patch)
2022-04-13 16:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27750: Remove jquery.cookie.js plugin (5.00 KB, patch)
2022-04-21 09:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-22 15:17:10 UTC
As we transition from jquery.cookie.js to js-cookie.js both plugins are included globally in the templates. As soon as all instances of its use are fixed the plugin should be removed.
Comment 1 Jonathan Druart 2021-03-17 07:40:14 UTC
What's next?

Looks like we will get stuck by jstree

koha-tmpl/opac-tmpl/lib/jquery/plugins/jquery.jstree.js: * Depends on the jquery.cookie plugin
Comment 2 Owen Leonard 2022-01-24 19:52:57 UTC
(In reply to Jonathan Druart from comment #1)

> Looks like we will get stuck by jstree

Bug 11873 upgrades jstree and removes the jquery.cookie plugin dependency.
Comment 3 Owen Leonard 2022-02-25 12:15:24 UTC
Created attachment 131118 [details] [review]
Bug 27750: Remove jquery.cookie.js plugin

This patch removes references to the jquery.cookie.js plugin which is
now unused, replaced by js-cookie.
Comment 4 Owen Leonard 2022-04-13 16:26:27 UTC
Created attachment 133277 [details] [review]
Bug 27750: Remove jquery.cookie.js plugin

This patch removes references to the jquery.cookie.js plugin which is
now unused, replaced by js-cookie.
Comment 5 Jonathan Druart 2022-04-21 09:45:56 UTC
Created attachment 133532 [details] [review]
Bug 27750: Remove jquery.cookie.js plugin

This patch removes references to the jquery.cookie.js plugin which is
now unused, replaced by js-cookie.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Fridolin Somers 2022-05-02 21:24:07 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄